%define oname		xapian-core
%define major		30
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Open Source Search Engine Library
Name:		xapian
Version:	1.4.16
Release:        %mkrel 1
License:	GPLv2+
Group:		Databases
URL:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(uuid)
Provides: xapian-core = %{version}-%{release}

%description
Xapian is an Open Source Search Engine Library, released under the
GPL. It's written in C++, with bindings to allow use from Perl,
Python, PHP, Java, Tcl, C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications.
It supports the Probabilistic Information Retrieval model and also
supports a rich set of boolean query operators.

%files
%{_bindir}/copydatabase
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-compact
%{_bindir}/xapian-check
%{_bindir}/xapian-delve
%{_bindir}/xapian-pos
%{_bindir}/xapian-progsrv
%{_bindir}/xapian-tcpsrv
%{_bindir}/xapian-metadata
%{_bindir}/xapian-replicate
%{_bindir}/xapian-replicate-server
%{_datadir}/%{oname}/
%{_mandir}/man1/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Libraries for %{name}.

%files -n %{libname}
%{_libdir}/libxapian.so.%{major}*
%ifarch %{ix86}
%{_libdir}/sse2/libxapian.so.%{major}*
%endif

#--------------------------------------------------------------------

%package  -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files for %{name}.

%files  -n %{develname}
%{_bindir}/xapian-config
%doc %{_docdir}/%{oname}/
%dir %{_includedir}/xapian
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%dir %{_libdir}/cmake/xapian/
%{_libdir}/cmake/xapian/xapian-config-version.cmake
%{_libdir}/cmake/xapian/xapian-config.cmake
%{_libdir}/pkgconfig/xapian-core.pc

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build

# (lm) Xapian default to using SSE2 maths on x86 (mga#15457, mga#15578)
# upstream recommends to build two versions of the library (like Debian):
# non-SSE2 installed in /usr/lib & SSE2 installed in /usr/lib/sse2
# http://trac.xapian.org/wiki/PackagingXapian

%ifarch %{ix86}
%__mkdir_p build-%{_target_cpu}
pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-sse --disable-static
%make_build
popd

%__mkdir_p build-sse2
pushd build-sse2
CONFIGURE_TOP=.. %configure2_5x --disable-static
%make_build
popd

%else
%configure2_5x --disable-static
%make_build
%endif

%install
%ifarch %{ix86}
%make_install -C build-%{_target_cpu}

%__make -C build-sse2 DESTDIR=%{buildroot}/sse2 install
%__mkdir_p %{buildroot}%{_libdir}/sse2
%__mv %{buildroot}/sse2/%{_libdir}/libxapian.so.* %{buildroot}%{_libdir}/sse2
%__rm -rf %{buildroot}/sse2
%else
%make_install
%endif

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Jun 12 2020 ghostbunny <ghostbunny at gmx dot de> 1.4.16-1pclos2020
- 1.4.16

* Sat Jul 06 2019 tex 1.4.11-1pclos2019
- new version: 1.4.11
